curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/{policyId}/transactions \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/{policyId}/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/{policyId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440010",
"policyId": "550e8400-e29b-41d4-a716-446655440001",
"policyVersion": 1,
"action": "NEW_BUSINESS",
"effectiveDate": "2025-01-01",
"transactionTimestamp": "2025-01-15T10:30:00.000Z",
"createdAt": "2025-01-15T10:30:00.000Z",
"createdBy": "550e8400-e29b-41d4-a716-446655440090"
},
{
"id": "550e8400-e29b-41d4-a716-446655440020",
"policyId": "550e8400-e29b-41d4-a716-446655440001",
"policyVersion": 2,
"action": "ENDORSE",
"effectiveDate": "2025-06-01",
"transactionTimestamp": "2025-05-28T14:30:00.000Z",
"createdAt": "2025-05-28T14:30:00.000Z",
"createdBy": "550e8400-e29b-41d4-a716-446655440090"
},
{
"id": "550e8400-e29b-41d4-a716-446655440021",
"policyId": "550e8400-e29b-41d4-a716-446655440001",
"policyVersion": 3,
"action": "CANCEL",
"effectiveDate": "2025-09-01",
"transactionTimestamp": "2025-08-25T09:00:00.000Z",
"createdAt": "2025-08-25T09:00:00.000Z",
"createdBy": null
}
],
"totalCount": 3
}List Policy Transactions
Returns a paginated list of all transactions for a policy, ordered by
policyVersion. Each transaction represents an immutable change set
(new business, endorsement, cancellation, reinstatement, or renewal).
Use this endpoint to see the full transaction history of a policy. For detailed per-field deltas, retrieve a single transaction via the Get Policy Transaction endpoint.
Related: The Bordereau APIs provide a similar transaction-level view across all policies, with the ability to include additional columns for full-term policy fields. Use this endpoint when you need per-field deltas for a single policy; use the Bordereau APIs when you need a flat, reportable listing across policies.
Required permission: company.policy:read
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Policy identifier
Query Parameters
Page number (1-based, default 1, page size 50)
x >= 1Sort direction for policyVersion ordering (default asc).
Use asc for chronological order, desc for most-recent-first.
asc, desc Was this page helpful?
